﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.com/gitea/1.20.4/gitea-1.20.4-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.com/gitea/1.20.4/gitea-1.20.4-windows-4.0-amd64.exe'

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = '3e56de1565c89ed8078a6b778dca7121fdecc6ef9c71dcd0d2bde006d5b7610f'
  checksumType  = 'sha256'
  checksum64    = 'd3c95ae1f9635b1b4cfbc0eb3536ec30e2adbf17be0ce9c79a1d9d47484d789b'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
